<?php
/*
Plugin Name: WPX-LastPostMod
Plugin URI: http://blogmotion.fr/public/wp-plugins/wpx-lastpostmod/
Description: Displays the date of last page/post modification (if applicable, no modification = no display).
Version: 1.1
Author: Mr Xhark
Author URI: http://blogmotion.fr/
*/


function last_post_mod($before='',$format='',$after='')
{
	global $post; 
	if(is_post_modified())
	{	
		if(!$format)
			$format = get_settings('date_format') . ' @ ' . get_settings('time_format');
		
		echo '<span class="lastpostmod">' . $before . mysql2date($format, $post->post_modified) . $after . '</span>';
	}
}

function is_post_modified()
{
	global $post; 
	return ($post->post_modified != $post->post_date);
}